$(function () {

  // 二级菜单
  $('.header-nav li').hover(function () {
    $(this).find('.subnav').stop(true, true).fadeIn();
  }, function () {
    $(this).find('.subnav').stop(true, true).fadeOut();
  });

  // 顶部导航固定
  fixedNav();
  $(window).scroll(function () {
    fixedNav();
  });

  function fixedNav() {
    // 头部固定导航 滚动监听
    if ($(document).scrollTop() > 30) {
      $('body').addClass('header-fixed');
      $('.header').addClass('slideInDown');
    } else {
      if ($('body').hasClass('header-fixed')) {
        // $('.header').slideUp(function () {
        //   $('body').removeClass('header-fixed');
        // });
        $('body').removeClass('header-fixed');
        $('.header').removeClass('slideInDown');
      }
    }
  }

  // 鼠标移上显示banner按钮
  $('#indexBanner').hover(function () {
    $(".owl-theme .owl-nav").show();
  }, function () {
    $(".owl-theme .owl-nav").hide();
  });

  // 侧边浮框按钮
  sideBar();

  function sideBar() {
    // 返回顶部点击
    $('.backTop').click(function () {
      $('body,html').animate({
        'scrollTop': 0
      }, 800);
    });

    // 侧边菜单动画
    $('.sideNavCover').hover(function () {
      $(this).addClass('active');
      var openDis = $('.sideNavCover>a').outerWidth();
      $(this).find('.btn').stop().animate({
        'margin-right': openDis
      }, 600);
    }, function () {
      var that = $(this);
      var closeDis = $('.sideNavCover .btn').outerWidth();
      $(this).find('.btn').stop().animate({
        'margin-right': -closeDis
      }, 600, function () {
        that.removeClass('active');
      });
    });

    // 隐藏侧边栏
    $('.sideNav .close').click(function () {
      $('.sideNav').hide();
    });

    //   // 返回顶部隐藏和显示
    // $(window).scroll(function () {
    //   var st = $(window).height();
    //   if ($(document).scrollTop() > st) {
    //     $('.backTop').show();
    //   } else {
    //     $('.backTop').hide();
    //   }
    // });
  }

  // iPhone下载按钮弹框
  $('.iphone-download').click(function () {
    $('#mobile-download').fadeIn();
  });
  $('#closeButton').click(function () {
    $('#mobile-download').fadeOut();
  });
});